# log4cpp::SimpleLayout Class Reference

BasicLayout is a simple fixed format Layout implementation. More...

`#include <SimpleLayout.hh>`

Inheritance diagram for log4cpp::SimpleLayout:

[legend]
Collaboration diagram for log4cpp::SimpleLayout:

[legend]
List of all members.

## Public Member Functions

| SimpleLayout ()
virtual | ~SimpleLayout ()
virtual std::string | format (const LoggingEvent &event)
| Formats the LoggingEvent in SimpleLayout style: "priority - message".

## Detailed Description

BasicLayout is a simple fixed format Layout implementation.

## Constructor & Destructor Documentation

log4cpp::SimpleLayout::SimpleLayout | ( |  | ) |

log4cpp::SimpleLayout::~SimpleLayout | ( |  | ) | `[virtual]`

## Member Function Documentation

std::string log4cpp::SimpleLayout::format | ( | const LoggingEvent & | event | ) | `[virtual]`

Formats the LoggingEvent in SimpleLayout style:
"priority - message".

Implements log4cpp::Layout.

The documentation for this class was generated from the following files:

- SimpleLayout.hh
- SimpleLayout.cpp